com.aliyun.svideosdk.editor

## Enum AliyunIVodCompose.AliyunComposeUploadState

- java.lang.Object
- - java.lang.Enum<AliyunIVodCompose.AliyunComposeUploadState>
  - - com.aliyun.svideosdk.editor.AliyunIVodCompose.AliyunComposeUploadState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunIVodCompose.AliyunComposeUploadState>
  Enclosing interface:
    AliyunIVodCompose

      public static enum AliyunIVodCompose.AliyunComposeUploadState
      extends java.lang.Enum<AliyunIVodCompose.AliyunComposeUploadState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STATE_GET_UPLOAD_AUTH`
    `STATE_GET_UPLOAD_AUTH_SUCCEED`
    `STATE_IDLE` The initial state.
    `STATE_VIDEO_UPLOADING` The state of video uploading.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunIVodCompose.AliyunComposeUploadState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunIVodCompose.AliyunComposeUploadState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATE_IDLE

          public static final AliyunIVodCompose.AliyunComposeUploadState STATE_IDLE

      The initial state.

    - #### STATE_GET_UPLOAD_AUTH

          public static final AliyunIVodCompose.AliyunComposeUploadState STATE_GET_UPLOAD_AUTH

    - #### STATE_GET_UPLOAD_AUTH_SUCCEED

          public static final AliyunIVodCompose.AliyunComposeUploadState STATE_GET_UPLOAD_AUTH_SUCCEED

    - #### STATE_VIDEO_UPLOADING

          public static final AliyunIVodCompose.AliyunComposeUploadState STATE_VIDEO_UPLOADING

      The state of video uploading.

  - ### Method Detail

    - #### values

          public static AliyunIVodCompose.AliyunComposeUploadState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunIVodCompose.AliyunComposeUploadState c : AliyunIVodCompose.AliyunComposeUploadState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunIVodCompose.AliyunComposeUploadState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null